.shop-list {
  @for $i from 1 through $max-products-per-row-size {
    // margin between product items
    $index: $i;

    @if (map-has-key($product-items-margin-map, $i) == false) {
      $index: length($product-items-margin-map);
    }

    $margin: map-get($product-items-margin-map, $index);

    // base font size for product item
    $index: $i;

    @if (map-has-key($product-items-font-size-map, $i) == false) {
      $index: length($product-items-font-size-map);
    }

    $font-size: map-get($product-items-font-size-map, $index);

    &--#{$i} {
      margin: -1rem -#{$margin} 0;

      .product-item {
        max-width: calc(100% / #{$i} - #{$margin * 2});
        flex-basis: calc(100% / #{$i} - #{$margin * 2});

        margin: 1rem $margin 0;

        font-size: $font-size;
        border: 1px solid;
        position: relative;
      }

      @for $j from 1 through $max-products-per-row-size {
        .product-item--#{$j} {
          max-width: calc((100% / #{$i} - #{$margin * 2}) * #{$j});
          flex-basis: calc((100% / #{$i} - #{$margin * 2}) * #{$j});
        }
      }
    }
  }

  overflow: hidden;

  .product-item {
    overflow: hidden;
    width: 100%;
    //padding-bottom: 1rem;

    @include sm {
      $margin: map-get($product-items-margin-map, 2);

      margin: 1rem $margin 0;
      max-width: calc(100% / 2 - #{$margin * 2});
      flex-basis: calc(100% / 2 - #{$margin * 2});

      @for $j from 1 through $max-products-per-row-size {
        &.product-item--#{$j} {
          max-width: calc(100% / 2 * #{$j} - #{$margin * 2});
          flex-basis: calc(100% / 2 * #{$j} - #{$margin * 2});
        }
      }
    }

    // @include xs{
    //     max-width:100%;

    //     @for $j from 1 through $max-products-per-row-size{
    //         &.product-item--#{$j}{
    //             max-width:100%;
    //         }
    //     }
    // }

    .slick-slide {
      img {
        width: 100%;
      }
    }
  }
}

.product-item {
  position: relative;
  &__image-wrapper {
    position: relative;

    &:hover {
      .add-to-cart {
        // @include flex(normal, center, center);
        display: block;
        font-size: 1.5rem;
        color: #1f1f1f;
      }
    }

    .add-to-cart {
      background-color: #ebebebcc;
      -webkit-transition: opacity 1s;
      -o-transition: opacity 1s;
      transition: opacity 1s;
      display: none;
      cursor: pointer;
      padding: 0.5rem 0;
      width: 100%;
      position: absolute;
      font-family: "RALEWAY-REGULAR" !important;
      bottom: 0;

      span {
        @include flex(normal, center, center);
        font-size: 1.5rem;
        margin: 2rem 0;
        color: #1f1f1f;
        &.add {
          cursor: pointer;
          &:hover {
            font-weight: bold;
          }
        }
        &.title {
          margin: 1rem 0 0 0;
        }
        &.success {
          font-weight: bold;
        }

        @include sm() {
          font-size: 11px;
        }
      }

      &__elems {
        @include flex(normal, center, center);
        &__elem {
          font-size: 1.4rem;
          cursor: pointer;
          color: #1f1f1f;
          &.--color {
            margin: 1rem 0.5rem;
            img {
              border-radius: 50%;
              display: inline-block;
              background-size: cover;
              width: 20px;
              height: 20px;
            }
            &:hover img {
              border: 1px solid #4c4c4c;
              padding: 2px;
            }
          }
          &.--size {
            padding: 0.5rem;
            margin: 1rem;
            &:hover {
              background-color: rgba(160, 160, 160, 0.6);
            }
          }
        }
      }
    }
  }

  &__hover-area {
    display: none;
  }

  @include state {
    .product-item {
      &__hover-area {
        display: block;
      }
    }
  }

  @include md {
    &__hover-area {
      display: block;
    }
  }

  .hover-area {
    &__wishlist {
      position: absolute;
      top: 0;
      right: 0;

      margin: 0.5rem;
      &--active {
        .icon {
          background-position: -573px -285px;
        }
      }
    }

    &__actions {
      @include flex;

      position: absolute;
      bottom: 0px;
      width: 100%;
      background: rgb(229 229 229 / 48%);
    }

    &__action-item {
      @include flex($just: center, $align: center);
      flex: 1;
      font-family: 'RALEWAY-REGULAR';
      padding: 1rem;
      text-transform: uppercase;
      color: #3d3d3e;

      cursor: pointer;

      & ~ .hover-area__action-item {
        border-left: 1px solid $grey-border;
        @include sm {
          border-left: none;
        }
      }

      &--desktop {
        @include sm {
          display: none !important;
        }
      }
    }
  }

  .discount-ribbon {
    position: absolute;
    width: 130px;
    height: 25px;
    //bottom: 95px;
    top: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    font-family: "RALEWAY-LIGHT"!important;
    background-color: #000000;
    font-size: 1.9rem;
    font-weight: bold;
    color: white;
    padding: 12px;
    //border: 2px solid white;
    z-index: 1;
    right: left;
    //left: 35%;
    background-size: 100% 100%;

    @include sm() {
      width: 90px;
      height: 25px;
      font-size: 10px;
      //left: 10px;
      top: 10px;

    }

    .number{
      font-family: "RALEWAY-BOLD" !important;
      font-size: 16px;
      @include sm(){
        font-size: 15px;
      }
    }

    .percentage{
      //color: #f4d837;
      font-size: 16px;
      //text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
      @include sm(){
        font-size: 15px;
      }
    }
  }
}

.product-item {
  .slick-prev,
  .slick-next {
    display: none !important;

    z-index: 1;

    $size: 30px;

    width: $size;
    height: $size;

    &::before {
      //font-size:$size;
      font-size: 22px;
    }
  }

  .slick-prev {
    left: 5px;
  }

  .slick-next {
    right: 5px;
  }

  @include state {
    .slick-prev,
    .slick-next {
      display: inline-block !important;
    }
  }

  @include md {
    .slick-prev,
    .slick-next {
      display: inline-block !important;
    }
  }
}

.product-item {
  max-width: 410px !important;
  //font-family: "ProximaNova_SemiBold";
  &__image {
    display: block;
    max-width: 100%;

    .js-product-slider {
      overflow: hidden;
      height: 500px;

      @include sm() {
        height: 200px;
      }
    }
  }
  .product-image-container {
    background-size: cover;
    background-position: center;
    height: 500px;

    @include sm() {
      height: 200px;
    }
  }
  &__top {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-left: 10px;
    //font-family: "OPTIMA" !important;

    .body_info {
      width: 100%;

      

      
      
      .title{
        font-size: 1.5rem;
        font-family: "RALEWAY-SEMIBOLD" !important;
        text-align: center;
         @include sm{
          font-size: 1.6rem;
         }
      }
      .prices {
        display: flex;
        margin-top: 5px;
        font-size: 1.7rem;
        justify-content: center;
        font-family: "RALEWAY-BOLD" !important;
        .price-current{
          color: rgb(0, 0, 0);
        }
        .price-old {
          position: relative;
          color: #424040;
          margin-right: 10px;
          &::before {
            width: 100%;
            position: absolute;
            background-color: black;
            height: 1px;
            content: "";
            top: 40%;
          }

          &_divisor {
            margin-right: 5px;
          }
        }
      }
    }

    img {
      height: 34px;
      width: auto;
    }
  }

  &__body {
    margin-top: 2rem;
    @include flex(column, center, center);
    .button-view-detail{
      margin-top: 10px;
      width: 100%;
      height: 40px;
      @include sm(){
        margin-top: 0px;
      }
      .button-detail{
        width: 100%;
        border: none;
        height: 100%;
        background: #e06b5a;
        color: white;
        font-weight: bold;
      }
    }

    @include sm(){
      margin-top: 1rem;
    }
  }

  &__title {
    @include ellipsis();

    display: block;
    color: $black-abs;
    font-size: 1.5rem;

    @include sm() {
      width: 165px;
      text-align: center;
    }
  }

  &__code {
    display: block;
    color: #428bca;
    font-size: 1.3rem;
    padding-top: 0.6rem;
  }

  &__pricing {
    margin: 0.8rem 0;
    font-size: 1.4rem;
    p {
      font-size: 13px;
    }
    @include flex(normal, center);

    @include sm() {
      flex-direction: column;
      margin-top: 0.65em;
      margin-left: 0;
    }

    .grid-prices {
      @include flex(normal, center, center);
    }

    .grid-discount {
      @include flex(normal, center);
      @include sm() {
        margin-top: 1rem;
      }

      .discount {
        // border: 1px solid #c7c7c7;
        // background: #c7c7c7;
        border: 1px solid #e33e3e;
        background: #e33e3e;
        // color: #000;
        color: #fff;
        display: inline-block;
        margin-left: 0.8rem;
        font-size: 1.1rem;
        padding: 0.3rem 0.5rem;
        font-weight: bold;
      }
      //display: none;
    }
  }

  &__price {
    display: inline-block;
    background-color: #000;
    color: #fff;
    padding: 4px 6px;
    letter-spacing: 1px;

    &--old {
      color: black;
      background-color: white;
      border: 1px solid rgba(160, 160, 160, 0.6);
      text-decoration: line-through;
      margin-right: 0.5em;
    }
  }

  $color-ball-size: 30px;
  $color-name-size: #{$color-ball-size + 4px};

  &__colors {
    margin: 0.65em 0;
    //margin-bottom: 5px;
    align-self: center;
    min-height: $color-ball-size;
    @include sm(){
      min-height: unset;
    }
  }

  &__color-item {
    position: relative;

    display: inline-block;

    cursor: pointer;

    @include sm{
      margin-bottom: 0.7rem;
    }

    @include state {
      .product-item__color-name {
        display: inline-block;
      }
    }
  }

  &__color-name {
    position: absolute;

    font-size: 0.9em;
    font-family: "RALEWAY-REGULAR" !important;
    //transform: translateX(-50%);
    top: $color-name-size;

    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    display: none;
  }

  &__color-image {
    //@include circle;
    display: inline-block;

    margin: 0 0.5rem;

    background-size: cover;
    border-radius: 20px;
    width: $color-ball-size;
    height: $color-ball-size;
    @include sm(){
      width: 20px;
    height: 20px;
    }
  }
}

.wish-item {
  position: absolute;
  z-index: 2;
  right: 10px;

  @include sm{
    top: 5px;
    right: 2px;
  }

  img {
    height: 30px;

    @include sm{
      height: 29px;
    }
  }
}
